#include "webserver.h"

WebServer webServer(Serial1, Serial);

void setup() {
  Serial1.setTX(12);
  Serial1.setRX(13);
  Serial1.begin(115200);
  Serial.begin(115200);
  delay(2000);

  webServer.setup("tmk2", "tk666666");

  String localIP = webServer.getLocalIP();
  if (localIP.length() > 0) {
    Serial.println("Web server IP: " + localIP);
  } else {
    Serial.println("Could not retrieve the web server IP.");
  }
}

void loop() {
  webServer.handleClient();
  webServer.handleSerialCommands();
}